# $Revision: 1.16 $, $Date: 2007-02-13 07:16:53 $
%include	/usr/lib/rpm/macros.perl
%define		pdir	Crypt
%define		pnam	RC5
Summary:	Crypt::RC5 Perl module - RC5 encryption algorithm implementation
Summary(pl.UTF-8):	Moduł Perla Crypt::RC5 - implementacja algorytmu szyfrowania RC5
Name:		perl-Crypt-RC5
Version:	2.00
Release:	3
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	79649f6eba759a4415513a8512eaeb21
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Perl implementation of the RC5 algorithm. RC5 is a fast block cipher
designed by Ronald Rivest for RSA Data Security (now RSA Security) in
1994. It is a parameterized algorithm with a variable block size, a
variable key size, and a variable number of rounds. This particular
implementation is 32 bit. As such, it is suggested that a minimum of
12 rounds be performed.

%description -l pl.UTF-8
Implementacja algorytmu RC5 w Perlu. RC5 jest szybkim szyfrem blokowym
opracowanym przez Ronalda Rivesta dla RSA Data Security (teraz RSA
Security) w 1994 roku. Jest to sparametryzowany algorytm ze zmiennym
rozmiarem bloku, zmiennym rozmiarem klucza i zmienną liczbą kroków.
Ta konkretna implementacja jest 32-bitowa. Sugeruje się wykonywanie
minimum 12 kroków.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}
%{__make} test

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Crypt/RC5.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Crypt-RC5.spec,v $
Revision 1.16  2007-02-13 07:16:53  glen
- tabs in preamble

Revision 1.15  2007/02/12 00:49:27  baggins
- converted to UTF-8

Revision 1.14  2004/11/03 22:30:14  paladine
- formatting

Revision 1.13  2004/06/05 18:10:36  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.12  2004/05/07 01:09:18  ankry
- rel. 3

Revision 1.11  2004/05/06 18:09:25  ankry
- fixed perl-devel BR

Revision 1.10  2004/04/19 19:37:07  ankry
- license fixes and unification

Revision 1.9  2003/08/18 08:08:37  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.8  2003/05/28 13:00:31  malekith
- massive attack: source-md5

Revision 1.7  2003/05/25 06:24:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2003/04/11 18:59:22  radek
- BR: perl-devel; do not BR: perl

Revision 1.5  2003/03/01 18:46:40  radek
- should be ready for perl-5.8.0; release++

Revision 1.4  2003/02/25 00:37:44  radek
- use the __perl macro

Revision 1.3  2003/02/18 15:29:35  ankry
- massive attack: change CPAN URLs

Revision 1.2  2002/11/20 11:50:18  mis
- autoupdated to 2.00

Revision 1.1  2002/07/30 22:07:54  qboosh
- new

